Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr
Class NodeRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.rest.repr.NodeRepresentation

All Implemented Interfaces:
  EntityRepresentation

    public final class NodeRepresentation

extends ObjectRepresentation
implements EntityRepresentation

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`NodeRepresentation(Node node)`

Method Summary
`ValueRepresentation` | `allRelationshipsUri()`
`ValueRepresentation` | `allTypedRelationshipsUriTemplate()`
`long` | `getId()`
`String` | `getIdentity()`
`ValueRepresentation` | `incomingRelationshipsUri()`
`ValueRepresentation` | `incomingTypedRelationshipsUriTemplate()`
`static ListRepresentation` | `list(Iterable<Node> nodes)`
`ValueRepresentation` | `outgoingRelationshipsUri()`
`ValueRepresentation` | `outgoingTypedRelationshipsUriTemplate()`
`ValueRepresentation` | `propertiesUri()`
`ValueRepresentation` | `propertyUriTemplate()`
`ValueRepresentation` | `relationshipCreationUri()`
`ValueRepresentation` | `selfUri()`
`ValueRepresentation` | `traverseUriTemplate()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeRepresentation

    public NodeRepresentation(Node node)

Method Detail

### getIdentity

    public String getIdentity()

### selfUri

    public ValueRepresentation selfUri()

  Specified by:
    `selfUri` in interface `EntityRepresentation`

### getId

    public long getId()

### relationshipCreationUri

    public ValueRepresentation relationshipCreationUri()

### allRelationshipsUri

    public ValueRepresentation allRelationshipsUri()

### incomingRelationshipsUri

    public ValueRepresentation incomingRelationshipsUri()

### outgoingRelationshipsUri

    public ValueRepresentation outgoingRelationshipsUri()

### allTypedRelationshipsUriTemplate

    public ValueRepresentation allTypedRelationshipsUriTemplate()

### incomingTypedRelationshipsUriTemplate

    public ValueRepresentation incomingTypedRelationshipsUriTemplate()

### outgoingTypedRelationshipsUriTemplate

    public ValueRepresentation outgoingTypedRelationshipsUriTemplate()

### propertiesUri

    public ValueRepresentation propertiesUri()

### propertyUriTemplate

    public ValueRepresentation propertyUriTemplate()

### traverseUriTemplate

    public ValueRepresentation traverseUriTemplate()

### list

    public static ListRepresentation list(Iterable<Node> nodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.